function cv = cellvorticities( m )
    cv = zeros( size(m.tricellvxs,1), 3 );
    for i=1:size(m.tricellvxs,1)
        ni = m.tricellvxs(i,:);
        pi = ni*2;  pi = [ pi-1; pi ];
        u = m.displacements( pi, : );
        cv(i,:) = vorticity( m.prismnodes(pi,:), m.displacements(pi,:) )/m.globalProps.timestep;
    end
end
